Bug 506194 - New rpmbuild > 2GB size check occurs prior to duplicate file elimination
New rpmbuild > 2GB size check occurs prior to duplicate file elimination
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 19:40 EDT by Paul Waterman
Modified: 2012-06-20 11:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:56:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example .spec file to generate described error condition (928 bytes, application/octet-stream)
2009-06-15 19:40 EDT, Paul Waterman
no flags Details

  None (edit)
Description Paul Waterman 2009-06-15 19:40:43 EDT
Created attachment 348032 [details]
Example .spec file to generate described error condition

Description of problem:
A new size check was recently added to rpmbuild (in Bug 433795), which causes rpmbuild to gracefully error and exit if the contents of the .rpm will exceed 2GB in size.

This size check is performed prior to the elimination of duplicate files, however, so in odd fringe cases it is possible for rpmbuild to exit with the >2GB warning even if the contents of the .rpm are actually smaller than 2GB.


Version-Release number of selected component (if applicable):
rpm-build-4.3.3-32_nonptl


How reproducible:
Easily.


Steps to Reproduce:
1. Create an rpm .spec file containing duplicate files in the %files section such that the total size of all the duplicate files exceeds 2GB but the total size of the files when duplicates are eliminated is less than 2GB.

I've attached an extremely simple example .spec file that lists a directory in the %files section (thus including the contents of that directory) but then also includes the individual files in that directory.

2. Attempt to rpmbuild that spec file.
  

Actual results:

The rpmbuild will fail with the following error message:

RPM build errors:
    Package too large (> 2147483647 bytes)


Expected results:

The rpmbuild should succeed.


Additional info:

This is admittedly an exception case that only occurs when the .spec file is arguably wrong (or at least lazy). However, since rpmbuild does gracefully handle duplicate files, this should be taken into account in the package size check.
Comment 1 Paul Waterman 2009-06-22 16:58:50 EDT
One week with no response on this bug; raising severity.
Comment 2 Jiri Pallich 2012-06-20 11:56:32 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.